package user

import (
	"game/common/model/user"
	"game/common/proto/pb"
	"game/common/rpc"
	"github.com/flipped-aurora/gin-vue-admin/server/servicex"
)

//const (
//	timeout = time.Second * 30
//)

// 获取玩家数据
func GetUser(uid int64) (*user.GameUser, pb.ErrCode) {
	return rpc.RpcGetGameUser(servicex.GetService(), uid)
}
